summaryrefslogtreecommitdiffstats
path: root/crypto/openssh/regress/yes-head.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crypto/openssh/regress/yes-head.sh')
-rw-r--r--crypto/openssh/regress/yes-head.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/crypto/openssh/regress/yes-head.sh b/crypto/openssh/regress/yes-head.sh
new file mode 100644
index 0000000..1fc7542
--- /dev/null
+++ b/crypto/openssh/regress/yes-head.sh
@@ -0,0 +1,15 @@
+# $OpenBSD: yes-head.sh,v 1.5 2015/03/03 22:35:19 markus Exp $
+# Placed in the Public Domain.
+
+tid="yes pipe head"
+
+for p in ${SSH_PROTOCOLS}; do
+ lines=`${SSH} -$p -F $OBJ/ssh_proxy thishost 'sh -c "while true;do echo yes;done | _POSIX2_VERSION=199209 head -2000"' | (sleep 3 ; wc -l)`
+ if [ $? -ne 0 ]; then
+ fail "yes|head test failed"
+ lines = 0;
+ fi
+ if [ $lines -ne 2000 ]; then
+ fail "yes|head returns $lines lines instead of 2000"
+ fi
+done
OpenPOWER on IntegriCloud